-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
-- Script:  Ground_Aircrafts
-- Version: 1.0
-- Build:   2014-03-03
-- By:      oe3gsu@x-plane.at
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
-- Description:
-- Allows showing or hiding of parked airplanes
-- Usable in all planes, but only at airports with removable aircrafts!
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --


-- User selectable options -------------------------------------------------

-- STARTUP -----------------------------------------------------------------

----------------------------------------------------------------------------
-- Don't edit the following lines unless you are a LUA programmer ----------
----------------------------------------------------------------------------

ACF_ON = false
ACF_OFF = false
ADF1 = get("sim/cockpit/radios/adf1_stdby_freq_hz")
ADF1_OLD = ADF1

    add_macro("Parked Aircrafts", "ACF_ON = true", "ACF_OFF = true", "deactivate")

-- RUN ---------------------------------------------------------------------

function switch_aircraft()
   
    if ACF_ON == true then
	    ADF1_OLD = get("sim/cockpit/radios/adf1_stdby_freq_hz")
		set("sim/cockpit/radios/adf1_stdby_freq_hz", 200)
		ACF_ON = false
      
    end

    if ACF_OFF == true then
        set("sim/cockpit/radios/adf1_stdby_freq_hz", ADF1_OLD)
		ACF_OFF = false
		
    end
	

end

create_command("FlyWithLua/AIRCRAFT/Aircrafts ON", "Switch Aircrafts ON", "ACF_ON = true", "", "")
create_command("FlyWithLua/AIRCRAFT/Aircrafts OFF", "Switch Aircrafts OFF", "ACF_OFF = true", "", "")

-- register function
do_every_draw("switch_aircraft()")

